Skip to main content
GET
/
takeaways
Get all takeaways
curl --request GET \
  --url https://api.kameleoon.com/takeaways \
  --header 'Authorization: Bearer <token>'
[
  {
    "bookmarkedForCurrentUser": true,
    "createdById": 123,
    "createdByName": "<string>",
    "id": 123,
    "imageUrl": "<string>",
    "relevantDate": "2023-11-07T05:31:56Z",
    "resultData": {
      "primaryGoalUplift": 123,
      "revenueUplift": 123,
      "totalRevenue": 123
    },
    "siteId": 123,
    "sourceDateCreated": "2023-11-07T05:31:56Z",
    "sourceDateModified": "2023-11-07T05:31:56Z",
    "sourceDateStarted": "2023-11-07T05:31:56Z",
    "sourceDateStatusModified": "2023-11-07T05:31:56Z",
    "sourceId": 123,
    "sourceMainGoalId": 123,
    "sourceMainGoalName": "<string>",
    "sourceName": "<string>",
    "sourceTargetingSegmentId": 123,
    "sourceTargetingSegmentName": "<string>",
    "summary": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required

Response

OK

bookmarkedForCurrentUser
boolean
createdById
integer<int64>
read-only

Account Id of the creator of the associated experiment

createdByName
string
read-only

Name of the creator of the associated experiment

id
integer<int64>
read-only

Unique Id of the takeaway

imageUrl
string
read-only

URL of the associated image

relevantDate
string<date-time>
read-only

Corresponds to datePaused when the associated experiment has status PAUSED, and to dateEnd when the related experiment has status STOPPED

resultData
object
read-only

Takeaway result data

siteId
integer<int64>
read-only

Unique Id of the site the takeaway belongs to

sourceDateCreated
string<date-time>
read-only

Date when the associated experiment was created

sourceDateModified
string<date-time>
read-only

Date when the associated experiment was modified

sourceDateStarted
string<date-time>
read-only

Date when the source object was started

sourceDateStatusModified
string<date-time>
read-only

Date when the status of the associated experiment was modified

sourceId
integer<int64>
read-only

Unique Id of the associated experiment

sourceMainGoalId
integer<int64>
read-only

Unique Id of the main goal of the associated experiment

sourceMainGoalName
string
read-only

Name of the main goal of the associated experiment

sourceName
string
read-only

Name of the associated experiment

sourceStatus
enum<string>
read-only

Status of the associated experiment

Available options:
PAUSED,
STOPPED
sourceTargetingSegmentId
integer<int64>
read-only

Unique Id of the targeting segment of the associated experiment

sourceTargetingSegmentName
string
read-only

Name of the targeting segment of the associated experiment

sourceType
enum<string>
read-only

Type of the source object

Available options:
AI,
AUTOPROMO,
BUILDER,
CLASSIC,
DEVELOPER,
IA,
MVT,
PROMPT,
SDK_HYBRID
summary
string
read-only

Generated summary of the associated experiment